AI QR codes
GET https://qrcodemonkey.net/api/ai-qr-codes/
curl --request GET \
--url 'https://qrcodemonkey.net/api/ai-qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcodemonkey.net/api/ai-qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
| パラメータ | 詳細 | 説明 |
|---|---|---|
| search | オプション 文字列 | 検索文字列 |
| search_by | オプション 文字列 | 検索するフィールドは何ですか。許可される値はnameです。 |
| project_id | オプション 整数 | Available when: %s |
| order_by | オプション 文字列 | 結果をどのフィールドで並べ替えるか。許可される値は、ai_qr_code_id, datetime, last_datetime, name です。 |
| order_type | オプション 文字列 | 結果の並び替え。許可される値は、昇順の場合はASC、降順の場合はDESCです。 |
| page | オプション 整数 | 必要なページ番号。デフォルトは1。 |
| results_per_page | オプション 整数 | 1ページあたりの結果数を指定してください。許可される値は10 , 25 , 50 , 100 , 250 , 500 , 1000です。デフォルトは25です。 |
{
"data": [
{
"id": 1,
"name": "Example name",
"ai_qr_code": "https://qrcodemonkey.net/uploads/ai_qr_codes/example.png",
"content": "https://qrcodemonkey.net/",
"prompt": "Nature scenery at sunset, waterfall, wild animals and sunshine rays"
"embedded_data": "https://qrcodemonkey.net/",
"embedded_data": "https://example.com",
"last_datetime": null,
"datetime": "2026-06-14 10:12:04",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://qrcodemonkey.net/api/ai-qr-codes?page=1",
"last": "https://qrcodemonkey.net/api/ai-qr-codes?page=1",
"next": null,
"prev": null,
"self": "https://qrcodemonkey.net/api/ai-qr-codes?page=1"
}
}
GET https://qrcodemonkey.net/api/ai-qr-codes/{ai_qr_code_id}
curl --request GET \
--url 'https://qrcodemonkey.net/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcodemonkey.net/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Example name",
"ai_qr_code": "https://qrcodemonkey.net/uploads/ai_qr_codes/example.png",
"content": "https://qrcodemonkey.net/",
"prompt": "Nature scenery at sunset, waterfall, wild animals and sunshine rays"
"embedded_data": "https://qrcodemonkey.net/",
"last_datetime": null,
"datetime": "2026-06-14 10:12:04",
}
}
POST https://qrcodemonkey.net/api/ai-qr-codes
| パラメータ | 詳細 | 説明 |
|---|---|---|
| link_id | オプション 整数 | - |
| project_id | オプション 整数 | - |
| name | 必須 文字列 | - |
| content | 必須 文字列 | - |
| prompt | 必須 文字列 | - |
| パラメータ | 詳細 | 説明 |
|---|---|---|
curl --request POST \
--url 'https://qrcodemonkey.net/api/ai-qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'prompt=Nature scenery at sunset, waterfall, wild animals and sunshine rays' \
--form 'content=https://qrcodemonkey.net/' \
--url 'https://qrcodemonkey.net/api/ai-qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'prompt=Nature scenery at sunset, waterfall, wild animals and sunshine rays' \
--form 'content=https://qrcodemonkey.net/' \
{
"data": {
"id": 1
}
}
POST https://qrcodemonkey.net/api/ai-qr-codes/{ai_qr_code_id}
| パラメータ | 詳細 | 説明 |
|---|---|---|
| link_id | オプション 整数 | - |
| project_id | オプション 文字列 | - |
| name | オプション 文字列 | - |
| content | オプション 文字列 | - |
| prompt | オプション 文字列 | - |
curl --request POST \
--url 'https://qrcodemonkey.net/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
--url 'https://qrcodemonkey.net/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
"data": {
"id": 1
}
}
DELETE https://qrcodemonkey.net/api/ai-qr-codes/{ai_qr_code_id}
curl --request DELETE \
--url 'https://qrcodemonkey.net/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcodemonkey.net/api/ai-qr-codes/{ai_qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \